--- gnus-group.el~	Mon Oct  8 22:01:59 2001
+++ gnus-group.el	Wed Oct 10 03:26:06 2001
@@ -410,8 +410,9 @@
   :group 'gnus-charset
   :type '(repeat (cons (sexp :tag "Method") (symbol :tag "Charset"))))
 
-(defcustom gnus-group-name-charset-group-alist 
-  (if (and (fboundp 'coding-system-p) (coding-system-p 'utf-8))
+(defcustom gnus-group-name-charset-group-alist
+  (if (or (and (fboundp 'find-coding-system) (find-coding-system 'utf-8))
+	  (and (fboundp 'coding-system-p) (coding-system-p 'utf-8)))
       '((".*" . utf-8))
     nil)
   "Alist of group regexp and the charset for group names.
